Subject: Ticket Assigned - Re: Share your feedback with us
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 01 Jul 2021 05:41:21 +0000

Hi Amr Khalil,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Re: Share your feedback with us The worst experience I ever had!

 I will never purchase from Homebox again.
When I ordered online my delivery date said 28/06/21. I never received my delivery, when I called on 29/06/21 I was told I’m there’s a system glitch and there’s no delivery date. I purchased it so that my wife and I could have a mattress to sleep and prepared accordingly  on but due to all the delays we ended up sleeping on the hard floor! We have purchased furniture from the Homebox stores before and never disappointed until today. 
I will never encourage anyone to buy from youl again neither will I support you.

Waste of time, inconvenient and overall no customer support or sympathy!

I hope this email reaches some management and would love to hear back!

0565900653

Sarfaraaz Khan

> On 30 Jun 2021, at 6:48 PM, Home Box <[email-masked]> wrote:
> 
> 
> We’d love to hear from you.
> 
> 
> Download our apps now
>  	 
> iPhone	Android
> 
> Living Dining Bedroom Kids Bathroom Kitchen Furniture Home Dècor
> Your feedback is important to us.
> Hi Sarfaraaz Khan, we'd be grateful if you could tell us what you think about the products you've just received.
> 
> HOME BOX
> Terry Waterproof Queen Size Mattress Protector - 150x200 cms
> Color: White
> Quantity: 1
> AED 49
>  Write a review
>  
> HOME BOX
> Maisan Kitchen Towel Rack
> Color: White
> Quantity: 1
> AED 19
>  Write a review
>  
> HOME BOX
> Petra 2-Piece Printed Microfibre Single Comforter Set - 135x220 cms
> Color: Blue
> Quantity: 1
> AED 65
>  Write a review
> 
> Need help? Get in touch
>  	
> Write us an email now, we'll get back to you as fast as we can.
>  
>  	
> Connect with us on your favourite social network.
>  	
> Call us on 800-HOMEBOX (800-4663269). 
> Saturday - Thursday, 9 AM - 6 PM.
>  
> 	
> WhatsApp us on 054-305-9573
> Saturday to Thursday, 9:00 AM to 9:00 PM.
> 
> © 2021 Retail World Limited	 
>  
> Privacy Policy  | Terms & Conditions

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2794230